<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<div [formGroup]="agreementForm" class="container">

	<ng-container *ngIf="additionalLegalTerms; else defaultLegalTermsTitle">
		<h1 class="mt-5">{{ additionalLegalTerms.mainTitle }}</h1>
		<ng-container *ngFor="let legalTermSection of additionalLegalTerms.sections; let i = index">

			<h2 class="mt-5 mb-4">{{ legalTermSection.sectionTitle }}</h2>
			<p *ngFor="let term of legalTermSection.terms" [innerHTML]="term | markdown: { allowLinks: true, allowBlock : true }"></p>

			<div class="form-check form-check-lg mt-4">
				<input class="form-check-input"
					   [formControlName]="'additionalAgreement-' + i"
					   [id]="'additional-agreement-'+ i"
					   role="switch"
					   type="checkbox">
				<label class="form-check-label" [for]="'additional-agreement-' + i">
					{{ legalTermSection.confirm | translate }}
				</label>
			</div>
		</ng-container>

		<h2 class="mt-5">{{ 'legalterms.title' | translate }}</h2>
	</ng-container>

	<ng-template #defaultLegalTermsTitle>
		<h1 class="mt-5">{{ 'legalterms.title' | translate }}</h1>
	</ng-template>


	<p [innerHTML]="'legalterms.legalwarning' | translate" class="mt-4"></p>

	<ul class="mt-3">
		<li [innerHTML]="'legalterms.law.bullet1' | translate"></li>
		<li [innerHTML]="'legalterms.law.bullet2' | translate"></li>
		<li [innerHTML]="'legalterms.law.bullet3' | translate"></li>
		<li [innerHTML]="'legalterms.law.bullet4' | translate"></li>
		<li [innerHTML]="'legalterms.law.bullet5' | translate"></li>
	</ul>

	<div class="form-check form-check-lg mt-4">
		<input class="form-check-input"
			   formControlName="defaultAgreement"
			   id="default-agreement"
			   role="switch"
			   type="checkbox">
		<label class="form-check-label" for="default-agreement">
			{{ 'legalterms.confirmcheck' | translate }}
		</label>
	</div>

	<div class="footer-nav my-5 d-flex flex-column flex-sm-row-reverse gap-4">
		<button
				(click)="agree()"
				[disabled]="!agreementForm.valid"
				class="btn btn-dark btn-lg"
				type="button"
		>
			{{ 'legalterms.agree' | translate }}
		</button>
	</div>
</div>
